import QtQuick 1.1

Rectangle {
    id: button
    property alias text: buttonText.text
    signal clicked

    height: units.gu(4)
    width: units.gu(8) > buttonText.width+units.gu(1) ? units.gu(8) : button.text.width+units.gu(1)

    radius: units.gu(1)
    clip: true
    smooth: true

    gradient: Gradient {
        GradientStop { position: 0.00; color: buttonMA.pressed ? "#636466" : "#636466"}
        GradientStop { position: 0.50; color: buttonMA.pressed ? "#464648" : "#474749"}
        GradientStop { position: 0.51; color: buttonMA.pressed ? "#5d5e60" : "#3b3b3c"}
        GradientStop { position: 1.00; color: buttonMA.pressed ? "#535355" : "#000000"}
    }

    Text {
        id: buttonText
        anchors.centerIn: parent
        height: units.gu(2)
        font.pixelSize: units.gu(2)
        font.bold: true
        color: "white"
    }

    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: button.clicked()
    }
}
