import QtQuick 1.1

Item {
    id: pageRoot
    property variant pageStack;

    states: [
        State {
            name: ""
            PropertyChanges { target: pageRoot; x: pageStack.width }
        },
        State {
            name: "active"
            PropertyChanges { target: pageRoot; x: 0 }
        },
        State {
            name: "passive"
            PropertyChanges { target: pageRoot; x: -pageStack.width }
        },
        State {
            name: "destroy"
            PropertyChanges { target: pageRoot; x: pageStack.width }
            StateChangeScript {
                name: "myScript"
                script: {
                    pageRoot.destroy(200)
                }
            }
        }
    ]

    transitions: Transition {
        to: "*"
        NumberAnimation { properties: "x"; duration: 200; easing {type: Easing.OutBounce} }
    }
}
