import QtQuick 1.1

Page {
    Column {
        anchors.fill: parent
        Bar {
            id: topBar
            Label {
                anchors.left: parent.left;
                anchors.leftMargin: units.gu(1)
                anchors.verticalCenter: parent.verticalCenter

                text: qsTr("About")
                font.pixelSize: units.gu(4)
                font.bold: true
                width: parent.width
                color: "white"
            }
        }


        Rectangle {
            width: parent.width
            height: parent.height - menuRect.height - topBar.height
            color: "#EEEEEE"
            clip: true

            Flickable {
                id: flickableView

                anchors.fill: parent
                anchors.margins: units.gu(1)

                contentWidth: parent.width
                contentHeight: mainContent.height

                flickableDirection: Flickable.VerticalFlick

                Column {
                    id: mainContent
                    width: parent.width - units.gu(2)
                    spacing: units.gu(1)

                    Label {
                        font.pixelSize: units.gu(3)
                        width: parent.width
                        wrapMode: Text.Wrap
                        text: '"Good Discount" is simple discount calculator. It\'s more experimental project than actual product. If you don\'t like something about it just write to us help@sandbox.lt. If you like it and want to support us look at other sandbox.lt products'
                    }

                    Label {
                        font.pixelSize: units.gu(3)
                        width: parent.width
                        wrapMode: Text.Wrap
                        text: 'sandbox.lt (c) 2013'
                    }
                }
            }
        }
        Bar {
            id: menuRect
            Row {
                anchors.fill: parent
                anchors.margins: units.gu(1)
                spacing: units.gu(1)
                Button {
                    id: aboutButtonRect
                    text: qsTr("Back")
                    onClicked: {
                        pageStack.pop();
                    }
                }
            }
        }
    }
}
