import QtQuick 1.1

Rectangle {
    id: slider

    property double minimumValue: 0
    property double maximumValue: 100
    property double stepSize: 1
    property double value: 0

    signal pressed;
    signal released;

    width: units.gu(10)
    height: units.gu(4)

    radius: units.gu(2)
    clip: true
    smooth: true

    gradient: Gradient {
        GradientStop { position: 0.00; color: "#636466" }
        GradientStop { position: 0.50; color: "#464648" }
        GradientStop { position: 0.51; color: "#5d5e60" }
        GradientStop { position: 1.00; color: "#535355" }
    }

    Image {
        x: value*(parent.width-units.gu(4))/(maximumValue-minimumValue)
        source: '../'+images_path+'/knob.png'
    }

    MouseArea {
        anchors.fill: parent
        onPositionChanged: {
            var step = Math.floor(mouse.x*((maximumValue-minimumValue)/stepSize)/(width-units.gu(4)));
            var cval = step*stepSize+minimumValue;
            if (cval < minimumValue)
                cval = minimumValue;
            else if (cval > maximumValue)
                cval = maximumValue;
            value = cval;
        }

        onPressed: {
            slider.pressed();
        }
        onReleased: {
            slider.released();
        }
    }
}

