import QtQuick 1.1

Rectangle {
    property alias text: textInput.text
    property alias echoMode: textInput.echoMode
    property alias font: textInput.font
    property alias maximumLength: textInput.maximumLength
    property alias validator: textInput.validator
    property alias inputMethodHints: textInput.inputMethodHints

    height: units.gu(4)
    width: units.gu(8) > textInput.width+units.gu(1) ? units.gu(8) : textInput.width+units.gu(1)

    radius: units.gu(1)
    clip: true
    smooth: true

    gradient: Gradient {
        GradientStop { position: 0.00; color: "#e3e4e5" }
        GradientStop { position: 0.50; color: "#cacbcd" }
        GradientStop { position: 0.51; color: "#bcbec0" }
        GradientStop { position: 1.00; color: "#d4d6d7" }
    }


    TextInput {
        id: textInput
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: units.gu(1)

        height: parent.height-units.gu(1)
        width: parent.width-units.gu(2)

        font.pixelSize: units.gu(2)
        color: "black"

        onAccepted: {
            textInput.closeSoftwareInputPanel()
        }

        onActiveFocusChanged: {
            if (!textInput.activeFocus) textInput.closeSoftwareInputPanel();
        }
    }
}
